package cn.com.poc.user.service;

import cn.com.poc.user.entity.MemberInfoEntity;
import cn.com.poc.user.query.CheckMemberInfoQueryCondition;
import cn.com.poc.user.query.CheckMemberInfoQueryItem;
import cn.com.yict.framemax.core.service.BaseService;

import java.util.List;

public interface BizMemberInfoService extends BaseService {

    MemberInfoEntity getById(Integer memberId) throws Exception;

    MemberInfoEntity getMemberEntityByAccount(String account) throws Exception;

    /**
     * @param memberInfoEntity
     * @return
     */
    MemberInfoEntity createMemberInfo(MemberInfoEntity memberInfoEntity);

    MemberInfoEntity updateMemberInfo(MemberInfoEntity memberInfoEntity);

    /**
     * 查询会员信息是否存在
     *
     * @param condition
     * @return
     */
    List<CheckMemberInfoQueryItem> checkMemberInfoIsExist(CheckMemberInfoQueryCondition condition);
}